STTY(1)

NAVN
stty - ændr og vis linjeindstillinger for terminalen

SYNOPSIS
stty [-F ENHED | --file=ENHED] [INDSTILLING]...
stty [-F ENHED | --file=ENHED] [-a|--all]
stty [-F ENHED | --file=ENHED] [-g|--save]

BESKRIVELSE

Udskriv eller ændr terminalegenskaber.

Obligatoriske argumenter til lange flag er også obligatoriske for de korte.

-a, --all
    udskriv alle nuværende indstillinger i læsevenlig form

-g, --save
    udskriv alle nuværende indstillinger i stty-læsbar form

-F, --file=ENHED
    åbn og brug den angivne ENHED i stedet for stdin

--help
    vis denne hjælpetekst og afslut

--version
    vis versionsinformation og afslut

Eventuelt "-" før INDSTILLING indikerer en modsat indstilling. "*" markerer indstillinger som ikke følger POSIX-standarden. Det underliggende system definerer hvilke indstillinger som er tilgængelige.

  Specialtegn:

* discard TEGN
    TEGN vil slå udsmidning af inddata til eller fra

eof TEGN
    TEGN sender et filslut (afslutter inddata)

eol TEGN
    TEGN afslutter linjen

* eol2 TEGN
    alternativt TEGN til linjeafslutning

erase TEGN
    TEGN sletter det senest skrevne tegn

intr TEGN
    TEGN sender et afbrydningssignal

kill TEGN
    TEGN sletter nuværende linje

* lnext TEGN
    TEGN vil indtaste næste citerede tegn

quit TEGN
    TEGN vil sende et afslutningssignal

* rprnt TEGN
    TEGN vil gentegne den nuværende linje

start TEGN
    TEGN genstarter udskrift efter stop

stop TEGN
    TEGN stopper udskriften

susp TEGN
    TEGN sender et terminalstopsignal

* swtch TEGN
    TEGN vil skfite til et lag i skallen

* werase TEGN
    TEGN vil slette det sidst skrevne ord

  Specialindstillinger:

N   sæt ind- og uddatahastighed til N baud

* cols N
    sig til kernen at terminalen har N kolonner

* columns N
    samme som cols N

* [-]drain
    vent på transmission før indstillingerne anvendes (on som standard)

ispeed N
    sæt inddatahastighed til N

* line N
    brug linjedisciplin N

min N
    med -icanon, sæt N tegn til minimum for en afsluttet læsning

ospeed N
    sæt udskriftshastighed til N

* rows N
    sig til kernen at terminalen har N linjer

* size
    udskriv antal linjer og kolonner ifølge kernen

speed
    udskriv terminalens hastighed

time N
    med -icanon, sæt timeout for læsning til N tiendedels sekunder

  Kontrolindstillinger:

[-]clocal
    slå modemkontrolsignaler til/fra

[-]cread
    tillad at der modtages inddata

* [-]crtscts
    slå RTS/CTS-håndtryk til

csN sæt tegnstørrelse til N bit, for N i [5..8]

[-]cstopb
    brug to stop-bit per tegn (én med "-")

[-]hup
    send et hangup-signal når den sidste proces lukker tty'en

[-]hupcl
    samme som [-]hup

[-]parenb
    generér paritetsbit ved skrivning og forvent paritetsbit ved læsning

[-]parodd
    sæt ulige paritet (lige paritet med "-")

* [-]cmspar
    brug "stick"-paritet ("mark" og "space")

  Indstillinger for inddata:

[-]brkint
    afbrydning forårsager et afbrydningssignal

[-]icrnl
    transformér vognretur til linjeskift

[-]ignbrk
    ignorér afbrydningstegn

[-]igncr
    ignorér vognretur

[-]ignpar
    ignorér tegn med paritetsfejl

* [-]imaxbel
    bip og tøm ikke fuld inddatabuffer ved et tegn

[-]inlcr
    transformér linjeskift til vognretur

[-]inpck
    muliggør paritetskontrol af inddata

[-]istrip
    nulstil den høje (8.) bit i et inddatategn

* [-]iutf8
    antag at ind-tegn er UTF-8-kodet

* [-]iuclc
    omdan store bogstaver til små

* [-]ixany
    lad ethvert tegn starte uddata forfra, ikke kun starttegn

[-]ixoff
    aktivér start/stop-tegn

[-]ixon
    aktivér XON/XOFF-flydningskontrol

[-]parmrk
    markér paritetsfejl (med en 255-0 tegnsekvens)

[-]tandem
    samme som [-]ixoff

  Indstillinger for udskrift:

* bsN
    stil for ventetid ved tilbage (backspace), for N i [0..1]

* crN
    stil for ventetid ved vognretur, for N i [0..3]

* ffN
    stil for ventetid ved sideskiftstegn, for N i [0..1]

* nlN
    stil for ventetid ved linjeskift, for N i [0..1]

* [-]ocrnl
    transformér vognretur til linjeskift

* [-]ofdel
    brug slettetegn til udfyldning frem for NUL-tegn

* [-]ofill
    brug udfyldningstegn frem for tid til at vente

* [-]olcuc
    omdan små bogstaver til store

* [-]onlcr
    omdan linejskift til vognretur plus linjeskift

* [-]onlret
    linjeskift udfører vognretur

* [-]onocr
    udskriv ikke vognretur i første kolonne

[-]opost
    efterbehandl uddata

* tabN
    stil for ventetid ved vandret tabulator, for N in [0..3]

* tabs
    samme som tab0

* -tabs
    samme som tab3

* vtN
    stil for ventetid ved lodret tabulator, for N i [0..1]

  Regionsindstillinger:

[-]crterase
    udskriv erase-tegn som tilbagetast-mellemrum-tilbagetast

* crtkill
    dræb hele linjen ved at bruge indstillingerne for echoprt og echoe

* -crtkill
    dræb hele linjen ved at bruge indstillingerne for echoctl og echok

* [-]ctlecho
    udskriv kontroltegn i hatnotation ("^c")

[-]echo
    udskriv indtegn uændret

* [-]echoctl
    samme som [-]ctlecho

[-]echoe
    samme som [-]crterase

[-]echok
    udskriv et linjeskift efter kill-tegn

* [-]echoke
    samme som [-]crtkill

[-]echonl
    udskriv linjeskift selv hvis der ikke udskrives andre tegn

* [-]echoprt
    udskriv slettede tegn baglæns, mellem "\" og "/"

* [-]extproc
    aktivér "LINEMODE"; nyttig med links med høj ventetid

* [-]flusho
    forkast udskrift

[-]icanon
    slå specialtegn til: erase, kill, werase, rprnt

[-]iexten
    slå ikke-POSIX-specialtegn til

[-]isig
    aktivér specialtegn for afbrydning, afslut og hvile

[-]noflsh
    deaktivér tømning (flush) efter specialtegnene for

* [-]prterase
    samme som [-]echoprt

* [-]tostop
    stop baggrundsjob som forsøger at skrive til terminalen

* [-]xcase
    med icanon, undvig med "\" for store bogstaver

  Kombinationsindstillinger:

* [-]LCASE
    samme som [-]lcase

cbreak
    samme som -icanon

-cbreak
    samme som icanon

cooked
    samme som at sætte brkint ignpar istrip icrnl ixon opost isig icanon, eof og eol til deres standardværdier

-cooked
    samme som raw

crt samme som echoe echoctl echoke

dec samme som echoe echoctl echoke -ixany intr ^c erase 0177 kill ^u

* [-]decctlq
    samme som [-]ixany

ek  erase- og kill-tegn til deres standardværdier

evenp
    samme som parenb -parodd cs7

-evenp
    samme som -parenb cs8

* [-]lcase
    samme som xcase iuclc olcuc

litout
    samme som -parenb -istrip -opost cs8

-litout
    samme som parenb istrip opost cs7

nl  samme som -icrnl -onlcr

-nl samme som icrnl -inlcr -igncr onlcr -ocrnl -onlret

oddp
    samme som parenb parodd cs7

-oddp
    samme som -parenb cs8

[-]parity
    samme som [-]evenp

pass8
    samme som -parenb -istrip cs8

-pass8
    samme som parenb istrip cs7

raw samme som -ignbrk -brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr -icrnl -ixon -ixoff -icanon -opost -isig -iuclc -ixany -imaxbel -xcase min 1 time 0

-raw
    samme som cooked

sane
    samme som cread -ignbrk brkint -inlcr -igncr icrnl icanon iexten echo echoe echok -echonl -noflsh -ixoff -iutf8 -iuclc -ixany imaxbel -xcase -olcuc -ocrnl opost -ofill onlcr -onocr -onlret nl0 cr0 tab0 bs0 vt0 ff0 isig -tostop -ofdel -echoprt echoctl echoke -extproc -flusho, alle specialtegn til deres standardværdier

Håndtér tty-linjen koblet til standard-ind. Uden argumenter, udskriv bitrate, linjedisciplin og afvigelse fra "stty sane". I indstillinger tages TEGN bogstaveligt eller kodet som i ^c, 0x37, 0177 eller 127; specielle værdier, ^- eller undef bruges for at deaktivere specielle tegn.

FORFATTER
Skrevet af David MacKenzie.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapporter oversættelsesfejl til <https://translationproject.org/team/da.html>

OPHAVSRET
Ophavsret © 2023 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

SE OGSÅ
Fuld dokumentation <https://www.gnu.org/software/coreutils/stty>
eller lokalt tilgængelig via: info '(coreutils) stty invocation'

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.